Package tigase.xmpp.impl

## Enum PrivacyList.Item.Type

- java.lang.Object
- - java.lang.Enum<PrivacyList.Item.Type>
  - - tigase.xmpp.impl.PrivacyList.Item.Type

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<PrivacyList.Item.Type>`
  Enclosing interface:
    PrivacyList.Item

      public static enum PrivacyList.Item.Type
      extends java.lang.Enum<PrivacyList.Item.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `iq` |
    `message` |
    `presenceIn` |
    `presenceOut` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PrivacyList.Item.Type` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static PrivacyList.Item.Type[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### message

          public static final PrivacyList.Item.Type message

    - #### iq

          public static final PrivacyList.Item.Type iq

    - #### presenceIn

          public static final PrivacyList.Item.Type presenceIn

    - #### presenceOut

          public static final PrivacyList.Item.Type presenceOut

  - ### Method Detail

    - #### values

          public static PrivacyList.Item.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PrivacyList.Item.Type c : PrivacyList.Item.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PrivacyList.Item.Type valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null